com.corticon.rulesemf.operationsmodel

## Class ExtendedOperatorType

- java.lang.Object
- - org.eclipse.emf.common.util.AbstractEnumerator
  - - com.corticon.rulesemf.operationsmodel.ExtendedOperatorType

- All Implemented Interfaces:
    java.io.Serializable, org.eclipse.emf.common.util.Enumerator

      public final class ExtendedOperatorType
      extends org.eclipse.emf.common.util.AbstractEnumerator

  A representation of the literals of the enumeration 'Extended Operator Type', and utility methods for working with them.
  See Also:
    `OperationsmodelPackage.getExtendedOperatorType()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN` The 'Boolean' literal value
    `static ExtendedOperatorType` | `BOOLEAN_LITERAL` The 'Boolean' literal object
    `static int` | `COLLECTION` The 'Collection' literal value
    `static ExtendedOperatorType` | `COLLECTION_LITERAL` The 'Collection' literal object
    `static int` | `DATE` The 'Date' literal value
    `static ExtendedOperatorType` | `DATE_LITERAL` The 'Date' literal object
    `static int` | `DATE_TIME` The 'Date Time' literal value
    `static ExtendedOperatorType` | `DATE_TIME_LITERAL` The 'Date Time' literal object
    `static int` | `DECIMAL` The 'Decimal' literal value
    `static ExtendedOperatorType` | `DECIMAL_LITERAL` The 'Decimal' literal object
    `static int` | `ENTITY` The 'Entity' literal value
    `static ExtendedOperatorType` | `ENTITY_LITERAL` The 'Entity' literal object
    `static int` | `INTEGER` The 'Integer' literal value
    `static ExtendedOperatorType` | `INTEGER_LITERAL` The 'Integer' literal object
    `static int` | `SEQUENCE` The 'Sequence' literal value
    `static ExtendedOperatorType` | `SEQUENCE_LITERAL` The 'Sequence' literal object
    `static int` | `STRING` The 'String' literal value
    `static ExtendedOperatorType` | `STRING_LITERAL` The 'String' literal object
    `static int` | `TIME` The 'Time' literal value
    `static ExtendedOperatorType` | `TIME_LITERAL` The 'Time' literal object
    `static int` | `UNSPECIFIED` The 'Unspecified' literal value
    `static ExtendedOperatorType` | `UNSPECIFIED_LITERAL` The 'Unspecified' literal object
    `static java.util.List` | `VALUES` A public read-only list of all the 'Extended Operator Type' enumerators

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtendedOperatorType` | `get(int value)` Returns the 'Extended Operator Type' literal with the specified integer value
    `static ExtendedOperatorType` | `get(java.lang.String literal)` Returns the 'Extended Operator Type' literal with the specified literal value
    `static ExtendedOperatorType` | `getByName(java.lang.String name)` Returns the 'Extended Operator Type' literal with the specified name

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator

      `getLiteral, getName, getValue, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSPECIFIED

          public static final int UNSPECIFIED

      The 'Unspecified' literal value.

      If the meaning of 'Unspecified' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNSPECIFIED_LITERAL`, Constant Field Values

    - #### DATE

          public static final int DATE

      The 'Date' literal value.

      If the meaning of 'Date' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATE_LITERAL`, Constant Field Values

    - #### TIME

          public static final int TIME

      The 'Time' literal value.

      If the meaning of 'Time' literal object isn't clear, there really should be more of a description here...

      See Also:
        `TIME_LITERAL`, Constant Field Values

    - #### BOOLEAN

          public static final int BOOLEAN

      The 'Boolean' literal value.

      If the meaning of 'Boolean' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BOOLEAN_LITERAL`, Constant Field Values

    - #### DATE_TIME

          public static final int DATE_TIME

      The 'Date Time' literal value.

      If the meaning of 'Date Time' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATE_TIME_LITERAL`, Constant Field Values

    - #### DECIMAL

          public static final int DECIMAL

      The 'Decimal' literal value.

      If the meaning of 'Decimal' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DECIMAL_LITERAL`, Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      The 'Integer' literal value.

      If the meaning of 'Integer' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INTEGER_LITERAL`, Constant Field Values

    - #### STRING

          public static final int STRING

      The 'String' literal value.

      If the meaning of 'String' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STRING_LITERAL`, Constant Field Values

    - #### ENTITY

          public static final int ENTITY

      The 'Entity' literal value.

      If the meaning of 'Entity' literal object isn't clear, there really should be more of a description here...

      See Also:
        `ENTITY_LITERAL`, Constant Field Values

    - #### COLLECTION

          public static final int COLLECTION

      The 'Collection' literal value.

      If the meaning of 'Collection' literal object isn't clear, there really should be more of a description here...

      See Also:
        `COLLECTION_LITERAL`, Constant Field Values

    - #### SEQUENCE

          public static final int SEQUENCE

      The 'Sequence' literal value.

      If the meaning of 'Sequence' literal object isn't clear, there really should be more of a description here...

      See Also:
        `SEQUENCE_LITERAL`, Constant Field Values

    - #### UNSPECIFIED_LITERAL

          public static final ExtendedOperatorType UNSPECIFIED_LITERAL

      The 'Unspecified' literal object.
      See Also:
        `UNSPECIFIED`

    - #### DATE_LITERAL

          public static final ExtendedOperatorType DATE_LITERAL

      The 'Date' literal object.
      See Also:
        `DATE`

    - #### TIME_LITERAL

          public static final ExtendedOperatorType TIME_LITERAL

      The 'Time' literal object.
      See Also:
        `TIME`

    - #### BOOLEAN_LITERAL

          public static final ExtendedOperatorType BOOLEAN_LITERAL

      The 'Boolean' literal object.
      See Also:
        `BOOLEAN`

    - #### DATE_TIME_LITERAL

          public static final ExtendedOperatorType DATE_TIME_LITERAL

      The 'Date Time' literal object.
      See Also:
        `DATE_TIME`

    - #### DECIMAL_LITERAL

          public static final ExtendedOperatorType DECIMAL_LITERAL

      The 'Decimal' literal object.
      See Also:
        `DECIMAL`

    - #### INTEGER_LITERAL

          public static final ExtendedOperatorType INTEGER_LITERAL

      The 'Integer' literal object.
      See Also:
        `INTEGER`

    - #### STRING_LITERAL

          public static final ExtendedOperatorType STRING_LITERAL

      The 'String' literal object.
      See Also:
        `STRING`

    - #### ENTITY_LITERAL

          public static final ExtendedOperatorType ENTITY_LITERAL

      The 'Entity' literal object.
      See Also:
        `ENTITY`

    - #### COLLECTION_LITERAL

          public static final ExtendedOperatorType COLLECTION_LITERAL

      The 'Collection' literal object.
      See Also:
        `COLLECTION`

    - #### SEQUENCE_LITERAL

          public static final ExtendedOperatorType SEQUENCE_LITERAL

      The 'Sequence' literal object.
      See Also:
        `SEQUENCE`

    - #### VALUES

          public static final java.util.List VALUES

      A public read-only list of all the 'Extended Operator Type' enumerators.

  - ### Method Detail

    - #### get

          public static ExtendedOperatorType get(java.lang.String literal)

      Returns the 'Extended Operator Type' literal with the specified literal value.

    - #### getByName

          public static ExtendedOperatorType getByName(java.lang.String name)

      Returns the 'Extended Operator Type' literal with the specified name.

    - #### get

          public static ExtendedOperatorType get(int value)

      Returns the 'Extended Operator Type' literal with the specified integer value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.